/* @(#)find_misc.h	1.2 04/10/13 Copyright 2004 J. Schilling */
/*
 *	Copyright (c) 2004 J. Schilling
 */
/*
 * Copyright Jrg Schilling. All rights reserved.
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only.
 * See the file CDDL.Schily.txt in this distribution or
 * http://opensource.org/licenses/cddl1.php for details.
 */

#ifndef	_MISC_H
#define	_MISC_H

#ifndef _MCONFIG_H
#include <mconfig.h>
#endif
#ifndef _UNIXSTD_H
#include <unixstd.h>
#endif

#if	defined(UNIXWARE) && defined(HAVE_ACL)
#	define	HAVE_SUN_ACL
#	define	HAVE_ANY_ACL
#endif

#ifdef	USE_ACL
/*
 * HAVE_ANY_ACL currently includes HAVE_POSIX_ACL and HAVE_SUN_ACL.
 * HAVE_HP_ACL is currently not included in HAVE_ANY_ACL.
 */
#	ifndef	HAVE_ANY_ACL
#	undef	USE_ACL		/* Do not try to get or set ACLs */
#	endif
#endif

#ifdef	USE_XATTR
#ifndef	_PC_XATTR_EXISTS
#undef	USE_XATTR
#endif
#endif

extern	BOOL	has_acl		__PR((char *name, char *sname, struct stat *sp));
extern	BOOL	has_xattr	__PR((char *sname));

#endif	/* _MISC_H */
